package com.fzm.common.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/7/5 11:33
 */
@Data
public class UserListVo {

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty("手机号码(用户名)")
    private String telephone;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("实名认证状态  0-未认证  1-认证成功  2-认证失败 3-认证中")
    private Integer authStatus;

    @ApiModelProperty("已发行nft数")
    private Integer publishCount;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("注册日期")
    private Date registerDate;
}
